Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236659 - Crash when entering Japanese
Summary: Crash when entering Japanese
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vte
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-17 00:21 UTC by Pete Zaitcev
Modified: 2008-05-07 01:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 01:29:53 UTC


Attachments (Terms of Use)
Crash from bug-buddy (deleted)
2007-04-17 01:08 UTC, Pete Zaitcev
no flags Details

Description Pete Zaitcev 2007-04-17 00:21:53 UTC
Description of problem:

When input method is active, gnome-terminal often hangs, sometimes crashes.

Version-Release number of selected component (if applicable):

gnome-terminal-2.18.0-1.fc7
vte-0.16.1-1.fc7
scim-1.4.5-13.fc7
scim-anthy-1.2.2-3.fc7

How reproducible:

100% here, although not on the first key typed

Steps to Reproduce:
1. Install SCIM, Anthy. If you install, just select Japanese Support,
   all packages come standard.
2. Test install, hit Ctrl-Space. Input method window should appear.
3. Bang on any letter keys. No need to enter any valid characters
   or anything. The gnome-terminal will hang 100% after about 10 keys.
  
Actual results:

Hang or crash.

Expected results:

No hang.

Additional info:

Unfortnately, I do not remember exactly when this started. I usually
enter Japanese into other applications, such as e-mail, Firefox.
Those application work ok.

Killing gnome-terminal with -9 clears everything, the desktop
survives the crash. SCIM survives too. That's pretty nice, although
it would be better if this were fixed.

Comment 1 Pete Zaitcev 2007-04-17 01:08:33 UTC
Created attachment 152731 [details]
Crash from bug-buddy

This is not very useful, because:
 - Most of the time gnome-terminal hangs rather than crashes
 - Apparently I don't have many relevant debuginfo packages

I'm just attaching this for completennes.

Comment 2 Bug Zapper 2008-04-04 00:07:11 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 3 Bug Zapper 2008-05-07 01:29:51 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.